aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNaresh Kamboju <naresh.kamboju@linaro.org>2015-02-12 17:37:17 +0800
committerNaresh Kamboju <naresh.kamboju@linaro.org>2015-02-12 17:37:17 +0800
commit55c9ad42eae16f8935072f7a5102338230279bea (patch)
tree31ae3c0a5382b3c1d60b5e1264c3c917c5b111d9
parentfbb7fe139c43cdb126cd629852f424dfad20f896 (diff)
prepare-device: adb root fix
Signed-off-by: Naresh Kamboju <naresh.kamboju@linaro.org>
-rwxr-xr-xprepare-device.sh29
1 files changed, 18 insertions, 11 deletions
diff --git a/prepare-device.sh b/prepare-device.sh
index 8d2759b..4eeaaad 100755
--- a/prepare-device.sh
+++ b/prepare-device.sh
@@ -29,7 +29,8 @@ then
# enable IKS
IPADDR=`cat IPADDR`
echo "Enable IKS for $IPADDR"
- adb root | true
+ adb connect $IPADDR:5555
+ adb root || true
adb connect $IPADDR:5555
adb devices
echo "Waiting for device"
@@ -44,7 +45,8 @@ then
# disable IKS
IPADDR=`cat IPADDR`
echo "Disable IKS for $IPADDR"
- adb root | true
+ adb connect $IPADDR:5555
+ adb root || true
adb connect $IPADDR:5555
adb devices
echo "Waiting for device"
@@ -62,7 +64,8 @@ then
# disable IKS
IPADDR=`cat IPADDR`
echo "Disable IKS for $IPADDR"
- adb root | true
+ adb connect $IPADDR:5555
+ adb root || true
adb connect $IPADDR:5555
adb devices
echo "Waiting for device"
@@ -79,11 +82,12 @@ fi
if [ $1 == 'a53_only' ]
then
IPADDR=`cat IPADDR`
- adb root | true
+ adb connect $IPADDR:5555
+ adb root || true
adb connect $IPADDR:5555
adb devices
echo "Waiting for device"
- adb remount | true
+ adb remount || true
adb wait-for-device
adb devices
echo "Disable A57 cluster"
@@ -94,11 +98,12 @@ fi
if [ $1 == 'a57_only' ]
then
IPADDR=`cat IPADDR`
- adb root | true
+ adb connect $IPADDR:5555
+ adb root || true
adb connect $IPADDR:5555
adb devices
echo "Waiting for device"
- adb remount | true
+ adb remount || true
adb wait-for-device
adb devices
echo "Disable A53 cluster"
@@ -111,11 +116,12 @@ fi
if [ $1 == 'hmp' ]
then
IPADDR=`cat IPADDR`
- adb root | true
+ adb connect $IPADDR:5555
+ adb root || true
adb connect $IPADDR:5555
adb devices
echo "Waiting for device"
- adb remount | true
+ adb remount || true
adb wait-for-device
adb devices
fi
@@ -123,11 +129,12 @@ fi
if [ $1 == 'eas' ]
then
IPADDR=`cat IPADDR`
- adb root | true
+ adb connect $IPADDR:5555
+ adb root || true
adb connect $IPADDR:5555
adb devices
echo "Waiting for device"
- adb remount | true
+ adb remount || true
adb wait-for-device
adb devices
fi